// pages/login/login.js
const api = require('../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    // array: ['学生', '教师'],
    // index: 0,
  },

  bindPickerChange(e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      index: e.detail.value
    })
  },
  formSubmit(e){
    let that=this
    if (!e.detail.value.account && !e.detail.value.password){
      wx.showToast({
        title: '请输入账号或密码',
        icon:'none'
      })
      return false;
    }
    wx.request({
      url: api.userLogin,
      method:'GET',
      data:{
        loginId:e.detail.value.account,
        loginPwd:e.detail.value.password
      },
      success(res){
        if (res.data.status =='success'){//10001：老师，10002：学生
          wx.setStorageSync('user', res.data.data)
          wx.setStorageSync('loginId', e.detail.value.account)
          wx.switchTab({
            url: '/pages/student/menu/menu',
          })
        }else{
          wx.showToast({
            title: res.data.message,
            icon: 'none'
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    if (wx.getStorageSync('loginId')){
      wx.showLoading({
        title: '正在自动登录',
      })
      setTimeout(function(){
        wx.switchTab({
          url: '/pages/student/menu/menu',
        })
      },1000)
    }
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})